Update RAP Runtime bundles version to 3.13.0

Change-Id: I7dbfe94ea1031bf8e276b8dfd62a613192c22185
diff --git a/bundles/org.eclipse.e4.core.commands/pom.xml b/bundles/org.eclipse.e4.core.commands/pom.xml
index ec22930..51690e1 100644
--- a/bundles/org.eclipse.e4.core.commands/pom.xml
+++ b/bundles/org.eclipse.e4.core.commands/pom.xml
@@ -11,7 +11,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.e4.ui.bindings/pom.xml b/bundles/org.eclipse.e4.ui.bindings/pom.xml
index bb0613d..dafba65 100644
--- a/bundles/org.eclipse.e4.ui.bindings/pom.xml
+++ b/bundles/org.eclipse.e4.ui.bindings/pom.xml
@@ -11,7 +11,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.e4.ui.workbench.addons.swt/pom.xml b/bundles/org.eclipse.e4.ui.workbench.addons.swt/pom.xml
index ab839ba..627270b 100644
--- a/bundles/org.eclipse.e4.ui.workbench.addons.swt/pom.xml
+++ b/bundles/org.eclipse.e4.ui.workbench.addons.swt/pom.xml
@@ -11,7 +11,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.e4.ui.workbench.renderers.swt/pom.xml b/bundles/org.eclipse.e4.ui.workbench.renderers.swt/pom.xml
index c3d3a85..f7aebf0 100644
--- a/bundles/org.eclipse.e4.ui.workbench.renderers.swt/pom.xml
+++ b/bundles/org.eclipse.e4.ui.workbench.renderers.swt/pom.xml
@@ -11,7 +11,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.e4.ui.workbench.swt/pom.xml b/bundles/org.eclipse.e4.ui.workbench.swt/pom.xml
index b2deda7..7cb9c67 100644
--- a/bundles/org.eclipse.e4.ui.workbench.swt/pom.xml
+++ b/bundles/org.eclipse.e4.ui.workbench.swt/pom.xml
@@ -11,7 +11,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.e4.ui.workbench/pom.xml b/bundles/org.eclipse.e4.ui.workbench/pom.xml
index 29f4cc7..345ccb2 100644
--- a/bundles/org.eclipse.e4.ui.workbench/pom.xml
+++ b/bundles/org.eclipse.e4.ui.workbench/pom.xml
@@ -11,7 +11,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.rap.e4/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.e4/META-INF/MANIFEST.MF
index b912ef3..c91d3a7 100644
--- a/bundles/org.eclipse.rap.e4/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.e4/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.e4
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ClassPath: .
 Bundle-Localization: plugin
 Bundle-Vendor: %Bundle-Vendor
@@ -26,8 +26,8 @@
  org.eclipse.core.runtime
 Import-Package: javax.annotation;version="1.2.0",
  javax.inject;version="1.0.0"
-Export-Package: org.eclipse.rap.e4;version="3.12.0",
- org.eclipse.rap.e4.preferences;version="3.12.0"
+Export-Package: org.eclipse.rap.e4;version="3.13.0",
+ org.eclipse.rap.e4.preferences;version="3.13.0"
 Service-Component: OSGI-INF/rapeventbroker.xml,OSGI-INF/rapeventobjectsupplier.xml,OSGI-INF/rapuieventobjectsupplier.xml,OSGI-INF/rappreferenceobjectsupplier.xml,
  OSGI-INF/preferenceserviceCF.xml,OSGI-INF/raptranslationobjectsupplier.xml
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.rap.e4/pom.xml b/bundles/org.eclipse.rap.e4/pom.xml
index 3803164..e16db67 100644
--- a/bundles/org.eclipse.rap.e4/pom.xml
+++ b/bundles/org.eclipse.rap.e4/pom.xml
@@ -18,13 +18,13 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.e4</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <build>
     <resources>
diff --git a/bundles/org.eclipse.rap.filedialog/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.filedialog/META-INF/MANIFEST.MF
index 1198ecb..0a03c8b 100644
--- a/bundles/org.eclipse.rap.filedialog/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.filedialog/META-INF/MANIFEST.MF
@@ -1,14 +1,14 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.eclipse.rap.filedialog
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.fileupload;bundle-version="[3.12.0,4.0.0)"
-Export-Package: org.eclipse.swt.internal.widgets;version="3.12.0";x-friends:="org.eclipse.rap.filedialog.test",
- org.eclipse.swt.widgets;version="3.12.0"
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.fileupload;bundle-version="[3.13.0,4.0.0)"
+Export-Package: org.eclipse.swt.internal.widgets;version="3.13.0";x-friends:="org.eclipse.rap.filedialog.test",
+ org.eclipse.swt.widgets;version="3.13.0"
 Import-Package: javax.servlet;version="[2.3.0,5.0.0)",
  javax.servlet.http;version="[2.3.0,5.0.0)"
 Bundle-Localization: plugin
diff --git a/bundles/org.eclipse.rap.filedialog/pom.xml b/bundles/org.eclipse.rap.filedialog/pom.xml
index 9a3e535..de7efbb 100644
--- a/bundles/org.eclipse.rap.filedialog/pom.xml
+++ b/bundles/org.eclipse.rap.filedialog/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.filedialog</artifactId>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
 </project>
diff --git a/bundles/org.eclipse.rap.fileupload/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.fileupload/META-INF/MANIFEST.MF
index e2d0f18..89ee193 100644
--- a/bundles/org.eclipse.rap.fileupload/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.fileupload/META-INF/MANIFEST.MF
@@ -1,17 +1,17 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.eclipse.rap.fileupload;singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
 Import-Package: javax.servlet;version="[2.3.0,5.0.0)",
  javax.servlet.http;version="[2.3.0,5.0.0)",
  org.apache.commons.fileupload;version="[1.3.1,2.0.0)",
  org.apache.commons.fileupload.disk;version="[1.3.1,2.0.0)",
  org.apache.commons.fileupload.servlet;version="[1.3.1,2.0.0)",
  org.apache.commons.io;version="[2.2.0,3.0.0)"
-Export-Package: org.eclipse.rap.fileupload;version="3.12.0",
- org.eclipse.rap.fileupload.internal;version="3.12.0";x-friends:="org.eclipse.rap.fileupload.test"
+Export-Package: org.eclipse.rap.fileupload;version="3.13.0",
+ org.eclipse.rap.fileupload.internal;version="3.13.0";x-friends:="org.eclipse.rap.fileupload.test"
 Bundle-Localization: plugin
diff --git a/bundles/org.eclipse.rap.fileupload/pom.xml b/bundles/org.eclipse.rap.fileupload/pom.xml
index 75aa7c2..d2160c3 100644
--- a/bundles/org.eclipse.rap.fileupload/pom.xml
+++ b/bundles/org.eclipse.rap.fileupload/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.fileupload</artifactId>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
 </project>
diff --git a/bundles/org.eclipse.rap.jface.databinding/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.jface.databinding/META-INF/MANIFEST.MF
index febb1ff..36cd52a 100644
--- a/bundles/org.eclipse.rap.jface.databinding/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.jface.databinding/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.rap.jface.databinding
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
@@ -18,8 +18,8 @@
  org.eclipse.jface.internal.databinding.swt;x-internal:=true,
  org.eclipse.jface.internal.databinding.util;x-internal:=true,
  org.eclipse.jface.internal.databinding.viewers;x-internal:=true
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.jface;bundle-version="[3.12.0,4.0.0)",
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.jface;bundle-version="[3.13.0,4.0.0)",
  org.eclipse.equinox.common;bundle-version="[3.2.0,4.0.0)",
  org.eclipse.core.databinding.observable;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.3.0,2.0.0)",
diff --git a/bundles/org.eclipse.rap.jface.databinding/pom.xml b/bundles/org.eclipse.rap.jface.databinding/pom.xml
index 128fd97..40994ea 100644
--- a/bundles/org.eclipse.rap.jface.databinding/pom.xml
+++ b/bundles/org.eclipse.rap.jface.databinding/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.jface.databinding</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.jface/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.jface/META-INF/MANIFEST.MF
index 27b191c..d102a3d 100644
--- a/bundles/org.eclipse.rap.jface/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.jface/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.rap.jface
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
@@ -34,7 +34,7 @@
  org.eclipse.jface.window,
  org.eclipse.jface.wizard,
  org.eclipse.jface.wizard.images
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)";visibility:=reexport,
  org.eclipse.core.commands;bundle-version="[3.4.0,4.0.0)";visibility:=reexport,
  org.eclipse.equinox.common;bundle-version="[3.2.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.rap.jface/pom.xml b/bundles/org.eclipse.rap.jface/pom.xml
index 3036ba8..16139e0 100644
--- a/bundles/org.eclipse.rap.jface/pom.xml
+++ b/bundles/org.eclipse.rap.jface/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.jface</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.nebula.jface.gridviewer/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.nebula.jface.gridviewer/META-INF/MANIFEST.MF
index b5dfbc5..bfda9ca 100644
--- a/bundles/org.eclipse.rap.nebula.jface.gridviewer/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.nebula.jface.gridviewer/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.nebula.jface.gridviewer
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: %Bundle-Vendor
 Bundle-Localization: plugin
-Require-Bundle: org.eclipse.rap.nebula.widgets.grid;bundle-version="3.12.0",
- org.eclipse.rap.jface;bundle-version="[3.12.0,4.0.0)"
+Require-Bundle: org.eclipse.rap.nebula.widgets.grid;bundle-version="3.13.0",
+ org.eclipse.rap.jface;bundle-version="[3.13.0,4.0.0)"
 Export-Package: org.eclipse.nebula.jface.gridviewer
diff --git a/bundles/org.eclipse.rap.nebula.jface.gridviewer/pom.xml b/bundles/org.eclipse.rap.nebula.jface.gridviewer/pom.xml
index 69ed0ae..4559af1 100644
--- a/bundles/org.eclipse.rap.nebula.jface.gridviewer/pom.xml
+++ b/bundles/org.eclipse.rap.nebula.jface.gridviewer/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.nebula.jface.gridviewer</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.nebula.widgets.grid/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.nebula.widgets.grid/META-INF/MANIFEST.MF
index 45a1cd3..35f06de 100644
--- a/bundles/org.eclipse.rap.nebula.widgets.grid/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.nebula.widgets.grid/META-INF/MANIFEST.MF
@@ -3,8 +3,8 @@
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
 Bundle-SymbolicName: org.eclipse.rap.nebula.widgets.grid
-Bundle-Version: 3.12.0.qualifier
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+Bundle-Version: 3.13.0.qualifier
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: javax.servlet;version="[2.3.0,5.0.0)",
diff --git a/bundles/org.eclipse.rap.nebula.widgets.grid/pom.xml b/bundles/org.eclipse.rap.nebula.widgets.grid/pom.xml
index 33bf9bf..6297968 100644
--- a/bundles/org.eclipse.rap.nebula.widgets.grid/pom.xml
+++ b/bundles/org.eclipse.rap.nebula.widgets.grid/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.nebula.widgets.grid</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.nebula.widgets.richtext/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.nebula.widgets.richtext/META-INF/MANIFEST.MF
index 5da6b25..630b408 100644
--- a/bundles/org.eclipse.rap.nebula.widgets.richtext/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.nebula.widgets.richtext/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.nebula.widgets.richtext
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: %Bundle-Vendor
 Import-Package: javax.servlet;version="[2.3.0,5.0.0)",
  javax.servlet.http;version="[2.3.0,5.0.0)"
-Export-Package: org.eclipse.nebula.widgets.richtext;version="3.12.0",
- org.eclipse.nebula.widgets.richtext.toolbar;version="3.12.0"
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+Export-Package: org.eclipse.nebula.widgets.richtext;version="3.13.0",
+ org.eclipse.nebula.widgets.richtext.toolbar;version="3.13.0"
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
diff --git a/bundles/org.eclipse.rap.nebula.widgets.richtext/pom.xml b/bundles/org.eclipse.rap.nebula.widgets.richtext/pom.xml
index fee5913..39d20b7 100644
--- a/bundles/org.eclipse.rap.nebula.widgets.richtext/pom.xml
+++ b/bundles/org.eclipse.rap.nebula.widgets.richtext/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.nebula.widgets.richtext</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.rwt.osgi/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.rwt.osgi/META-INF/MANIFEST.MF
index 4568e4e..6f67e07 100644
--- a/bundles/org.eclipse.rap.rwt.osgi/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.rwt.osgi/META-INF/MANIFEST.MF
@@ -4,20 +4,20 @@
 Bundle-Vendor: %Bundle-Vendor
 Bundle-Localization: plugin
 Bundle-SymbolicName: org.eclipse.rap.rwt.osgi
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: javax.servlet;version="[2.5.0,5.0.0)",
  javax.servlet.descriptor;version="[2.6.0,5.0.0)";resolution:=optional,
  javax.servlet.http;version="[2.5.0,5.0.0)",
- org.eclipse.rap.rwt.application;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.engine;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.internal.application;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.internal.lifecycle;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.service;version="[3.12.0,4.0.0)",
+ org.eclipse.rap.rwt.application;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.engine;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.internal.application;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.internal.lifecycle;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.service;version="[3.13.0,4.0.0)",
  org.osgi.framework;version="[1.3.0,2.0.0)",
  org.osgi.service.http;version="[1.2.0,2.0.0)",
  org.osgi.service.log;version="[1.3.0,2.0.0)",
  org.osgi.util.tracker;version="[1.4.0,2.0.0)"
 Bundle-Activator: org.eclipse.rap.rwt.osgi.internal.Activator
-Export-Package: org.eclipse.rap.rwt.osgi;version="3.12.0",
- org.eclipse.rap.rwt.osgi.internal;version="3.12.0";x-internal:=true
+Export-Package: org.eclipse.rap.rwt.osgi;version="3.13.0",
+ org.eclipse.rap.rwt.osgi.internal;version="3.13.0";x-internal:=true
diff --git a/bundles/org.eclipse.rap.rwt.osgi/pom.xml b/bundles/org.eclipse.rap.rwt.osgi/pom.xml
index 0453100..26fb9ca 100644
--- a/bundles/org.eclipse.rap.rwt.osgi/pom.xml
+++ b/bundles/org.eclipse.rap.rwt.osgi/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.rwt.osgi</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.rwt/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.rwt/META-INF/MANIFEST.MF
index 0c83a27..963848b 100644
--- a/bundles/org.eclipse.rap.rwt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.rwt/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.rwt
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ClassPath: .
 Bundle-Localization: plugin
 Bundle-Vendor: %Bundle-Vendor
@@ -13,39 +13,39 @@
  org.w3c.dom,
  org.xml.sax,
  org.xml.sax.helpers
-Export-Package: org.eclipse.rap.json;version="3.12.0",
- org.eclipse.rap.rwt;version="3.12.0",
+Export-Package: org.eclipse.rap.json;version="3.13.0",
+ org.eclipse.rap.rwt;version="3.13.0",
  org.eclipse.rap.rwt.apache.batik.css.parser;x-internal:=true,
  org.eclipse.rap.rwt.apache.batik.util.io;x-internal:=true,
- org.eclipse.rap.rwt.application;version="3.12.0",
- org.eclipse.rap.rwt.client;version="3.12.0",
- org.eclipse.rap.rwt.client.service;version="3.12.0",
- org.eclipse.rap.rwt.dnd;version="3.12.0",
- org.eclipse.rap.rwt.engine;version="3.12.0",
- org.eclipse.rap.rwt.internal;version="3.12.0";x-friends:="org.eclipse.rap.ui.workbench",
- org.eclipse.rap.rwt.internal.application;version="3.12.0";x-friends:="org.eclipse.rap.jface,org.eclipse.rap.ui.workbench",
- org.eclipse.rap.rwt.internal.client;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.internal.engine;version="3.12.0";x-friends:="org.eclipse.rap.jface,org.eclipse.rap.ui.workbench",
- org.eclipse.rap.rwt.internal.lifecycle;version="3.12.0";x-friends:="org.eclipse.rap.ui.workbench,org.eclipse.rap.jface",
- org.eclipse.rap.rwt.internal.protocol;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.internal.remote;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.internal.resources;version="3.12.0";x-friends:="org.eclipse.rap.ui.workbench",
- org.eclipse.rap.rwt.internal.scripting;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.internal.serverpush;version="3.12.0";x-friends:="org.eclipse.rap.jface,org.eclipse.rap.ui.workbench",
- org.eclipse.rap.rwt.internal.service;version="3.12.0";x-friends:="org.eclipse.rap.ui.workbench,org.eclipse.rap.ui,org.eclipse.rap.jface",
- org.eclipse.rap.rwt.internal.template;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.internal.textsize;version="3.12.0";x-friends:="org.eclipse.rap.ui.workbench,org.eclipse.rap.ui,org.eclipse.rap.jface",
- org.eclipse.rap.rwt.internal.theme;version="3.12.0";x-friends:="org.eclipse.rap.ui.workbench",
- org.eclipse.rap.rwt.internal.theme.css;version="3.12.0";x-friends:="org.eclipse.rap.ui.workbench",
- org.eclipse.rap.rwt.internal.util;version="3.12.0";x-friends:="org.eclipse.rap.ui.workbench",
- org.eclipse.rap.rwt.internal.widgets;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.internal.widgets.fileuploadkit;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.remote;version="3.12.0",
- org.eclipse.rap.rwt.scripting;version="3.12.0",
- org.eclipse.rap.rwt.service;version="3.12.0",
- org.eclipse.rap.rwt.template;version="3.12.0",
- org.eclipse.rap.rwt.theme;version="3.12.0",
- org.eclipse.rap.rwt.widgets;version="3.12.0",
+ org.eclipse.rap.rwt.application;version="3.13.0",
+ org.eclipse.rap.rwt.client;version="3.13.0",
+ org.eclipse.rap.rwt.client.service;version="3.13.0",
+ org.eclipse.rap.rwt.dnd;version="3.13.0",
+ org.eclipse.rap.rwt.engine;version="3.13.0",
+ org.eclipse.rap.rwt.internal;version="3.13.0";x-friends:="org.eclipse.rap.ui.workbench",
+ org.eclipse.rap.rwt.internal.application;version="3.13.0";x-friends:="org.eclipse.rap.jface,org.eclipse.rap.ui.workbench",
+ org.eclipse.rap.rwt.internal.client;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.internal.engine;version="3.13.0";x-friends:="org.eclipse.rap.jface,org.eclipse.rap.ui.workbench",
+ org.eclipse.rap.rwt.internal.lifecycle;version="3.13.0";x-friends:="org.eclipse.rap.ui.workbench,org.eclipse.rap.jface",
+ org.eclipse.rap.rwt.internal.protocol;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.internal.remote;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.internal.resources;version="3.13.0";x-friends:="org.eclipse.rap.ui.workbench",
+ org.eclipse.rap.rwt.internal.scripting;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.internal.serverpush;version="3.13.0";x-friends:="org.eclipse.rap.jface,org.eclipse.rap.ui.workbench",
+ org.eclipse.rap.rwt.internal.service;version="3.13.0";x-friends:="org.eclipse.rap.ui.workbench,org.eclipse.rap.ui,org.eclipse.rap.jface",
+ org.eclipse.rap.rwt.internal.template;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.internal.textsize;version="3.13.0";x-friends:="org.eclipse.rap.ui.workbench,org.eclipse.rap.ui,org.eclipse.rap.jface",
+ org.eclipse.rap.rwt.internal.theme;version="3.13.0";x-friends:="org.eclipse.rap.ui.workbench",
+ org.eclipse.rap.rwt.internal.theme.css;version="3.13.0";x-friends:="org.eclipse.rap.ui.workbench",
+ org.eclipse.rap.rwt.internal.util;version="3.13.0";x-friends:="org.eclipse.rap.ui.workbench",
+ org.eclipse.rap.rwt.internal.widgets;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.internal.widgets.fileuploadkit;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.remote;version="3.13.0",
+ org.eclipse.rap.rwt.scripting;version="3.13.0",
+ org.eclipse.rap.rwt.service;version="3.13.0",
+ org.eclipse.rap.rwt.template;version="3.13.0",
+ org.eclipse.rap.rwt.theme;version="3.13.0",
+ org.eclipse.rap.rwt.widgets;version="3.13.0",
  org.eclipse.swt,
  org.eclipse.swt.accessibility,
  org.eclipse.swt.browser,
diff --git a/bundles/org.eclipse.rap.rwt/pom.xml b/bundles/org.eclipse.rap.rwt/pom.xml
index 4269ded..0678c71 100644
--- a/bundles/org.eclipse.rap.rwt/pom.xml
+++ b/bundles/org.eclipse.rap.rwt/pom.xml
@@ -18,13 +18,13 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.rwt</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <build>
     <plugins>
@@ -59,7 +59,7 @@
     <dependency>
       <groupId>org.eclipse.rap</groupId>
       <artifactId>org.eclipse.rap.clientbuilder</artifactId>
-      <version>3.12.0-SNAPSHOT</version>
+      <version>3.13.0-SNAPSHOT</version>
       <scope>compile</scope>
     </dependency>
     <dependency>
diff --git a/bundles/org.eclipse.rap.ui.cheatsheets/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.ui.cheatsheets/META-INF/MANIFEST.MF
index 2fa3785..3a068d9 100644
--- a/bundles/org.eclipse.rap.ui.cheatsheets/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.ui.cheatsheets/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %PLUGIN_NAME
 Bundle-SymbolicName: org.eclipse.rap.ui.cheatsheets;singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Activator: org.eclipse.ui.internal.cheatsheets.CheatSheetPlugin
 Bundle-Vendor: %PROVIDER_NAME
 Bundle-Localization: plugin
@@ -22,8 +22,8 @@
  org.eclipse.ui.internal.provisional.cheatsheets;x-friends:="org.eclipse.ua.tests"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.1.0,4.0.0)",
  org.eclipse.core.expressions;bundle-version="3.4.0",
- org.eclipse.rap.ui;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.ui.forms;bundle-version="[3.12.0,4.0.0)",
+ org.eclipse.rap.ui;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.ui.forms;bundle-version="[3.13.0,4.0.0)",
  org.eclipse.help;bundle-version="[3.2.0,4.0.0)"
 Eclipse-LazyStart: true
 Import-Package: com.ibm.icu.text,
diff --git a/bundles/org.eclipse.rap.ui.cheatsheets/pom.xml b/bundles/org.eclipse.rap.ui.cheatsheets/pom.xml
index 8cf3ac3..c093a59 100644
--- a/bundles/org.eclipse.rap.ui.cheatsheets/pom.xml
+++ b/bundles/org.eclipse.rap.ui.cheatsheets/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.ui.cheatsheets</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.ui.forms/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.ui.forms/META-INF/MANIFEST.MF
index b9472fb..6244c39 100644
--- a/bundles/org.eclipse.rap.ui.forms/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.ui.forms/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %name
 Bundle-SymbolicName: org.eclipse.rap.ui.forms;singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Vendor: %provider-name
 Bundle-Localization: plugin
 Export-Package: org.eclipse.ui.forms,
@@ -12,8 +12,8 @@
  org.eclipse.ui.internal.forms;x-internal:=true,
  org.eclipse.ui.internal.forms.widgets;x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.2.0,4.0.0)",
- org.eclipse.rap.jface;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.ui;bundle-version="[3.12.0,4.0.0)"
+ org.eclipse.rap.jface;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.ui;bundle-version="[3.13.0,4.0.0)"
 Eclipse-LazyStart: true
 Import-Package: com.ibm.icu.text,
  javax.xml.parsers,
diff --git a/bundles/org.eclipse.rap.ui.forms/pom.xml b/bundles/org.eclipse.rap.ui.forms/pom.xml
index 82eb412..6c07d0e 100644
--- a/bundles/org.eclipse.rap.ui.forms/pom.xml
+++ b/bundles/org.eclipse.rap.ui.forms/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.ui.forms</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.ui.views/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.ui.views/META-INF/MANIFEST.MF
index 9af6abe..a44b1cb 100644
--- a/bundles/org.eclipse.rap.ui.views/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.ui.views/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.rap.ui.views; singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.ui.internal.views.ViewsPlugin
 Bundle-Vendor: %providerName
@@ -13,7 +13,7 @@
  org.eclipse.ui.views.contentoutline,
  org.eclipse.ui.views.properties; ui.views="split"; mandatory:="ui.views"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.2.0,4.0.0)",
- org.eclipse.rap.ui;bundle-version="[3.12.0,4.0.0)",
+ org.eclipse.rap.ui;bundle-version="[3.13.0,4.0.0)",
  org.eclipse.help;bundle-version="[3.2.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Eclipse-LazyStart: true
diff --git a/bundles/org.eclipse.rap.ui.views/pom.xml b/bundles/org.eclipse.rap.ui.views/pom.xml
index 1e9a551..85aca32 100644
--- a/bundles/org.eclipse.rap.ui.views/pom.xml
+++ b/bundles/org.eclipse.rap.ui.views/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.ui.views</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.ui.workbench/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.ui.workbench/META-INF/MANIFEST.MF
index 051cc2b..92d1381 100644
--- a/bundles/org.eclipse.rap.ui.workbench/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.ui.workbench/META-INF/MANIFEST.MF
@@ -2,23 +2,23 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.rap.ui.workbench;singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.ui.internal.WorkbenchPlugin
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package:  org.eclipse.rap.ui.resources;version="3.12.0",
- org.eclipse.rap.ui.interactiondesign;version="3.12.0",
- org.eclipse.rap.ui.interactiondesign.internal;version="3.12.0";x-friends:="org.eclipse.rap.ui.tests",
- org.eclipse.rap.ui.interactiondesign.layout;version="3.12.0",
- org.eclipse.rap.ui.interactiondesign.layout.model;version="3.12.0",
- org.eclipse.rap.ui.internal;version="3.12.0";x-internal:=true,
- org.eclipse.rap.ui.internal.application;version="3.12.0";x-internal:=true,
- org.eclipse.rap.ui.internal.branding;version="3.12.0";x-internal:=true,
- org.eclipse.rap.ui.internal.preferences;version="3.12.0";x-internal:=true,
- org.eclipse.rap.ui.internal.progress;version="3.12.0";x-internal:=true,
- org.eclipse.rap.ui.internal.servlet;version="3.12.0";x-internal:=true,
+Export-Package:  org.eclipse.rap.ui.resources;version="3.13.0",
+ org.eclipse.rap.ui.interactiondesign;version="3.13.0",
+ org.eclipse.rap.ui.interactiondesign.internal;version="3.13.0";x-friends:="org.eclipse.rap.ui.tests",
+ org.eclipse.rap.ui.interactiondesign.layout;version="3.13.0",
+ org.eclipse.rap.ui.interactiondesign.layout.model;version="3.13.0",
+ org.eclipse.rap.ui.internal;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.ui.internal.application;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.ui.internal.branding;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.ui.internal.preferences;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.ui.internal.progress;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.ui.internal.servlet;version="3.13.0";x-internal:=true,
  org.eclipse.ui;ui.workbench=split;mandatory:="ui.workbench",
  org.eclipse.ui.about,
  org.eclipse.ui.actions;ui.workbench=split;mandatory:="ui.workbench",
@@ -96,13 +96,13 @@
  org.eclipse.ui.views,
  org.eclipse.ui.wizards
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.6.0,4.0.0)";visibility:=reexport,
- org.eclipse.rap.jface;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
+ org.eclipse.rap.jface;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
  org.eclipse.help;bundle-version="[3.6.0,4.0.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.equinox.http.registry,
  org.eclipse.osgi.services,
- org.eclipse.rap.jface.databinding;bundle-version="[3.12.0,4.0.0)",
+ org.eclipse.rap.jface.databinding;bundle-version="[3.13.0,4.0.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.2.0,2.0.0)",
  org.eclipse.core.databinding.observable;bundle-version="[1.2.0,2.0.0)"
 Import-Package: com.ibm.icu.text,
@@ -110,7 +110,7 @@
  javax.servlet;version="[2.3.0,5.0.0)",
  javax.servlet.http;version="[2.3.0,5.0.0)",
  javax.xml.parsers,
- org.eclipse.rap.rwt.osgi;version="[3.12.0,4.0.0)",
+ org.eclipse.rap.rwt.osgi;version="[3.13.0,4.0.0)",
  org.w3c.dom,
  org.xml.sax
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.rap.ui.workbench/pom.xml b/bundles/org.eclipse.rap.ui.workbench/pom.xml
index 2f48611..3c579c5 100644
--- a/bundles/org.eclipse.rap.ui.workbench/pom.xml
+++ b/bundles/org.eclipse.rap.ui.workbench/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.ui.workbench</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.rap.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.ui/META-INF/MANIFEST.MF
index 4bdaa6f..84a592d 100644
--- a/bundles/org.eclipse.rap.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Plugin.name
 Bundle-SymbolicName: org.eclipse.rap.ui; singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.ui.internal.UIPlugin
 Bundle-ActivationPolicy: lazy
@@ -11,9 +11,9 @@
 Import-Package: javax.servlet.http;version="[2.3.0,5.0.0)"
 Export-Package: org.eclipse.ui.internal;x-friends:="org.eclipse.rap.ui"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.6.0,4.0.0)",
- org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
- org.eclipse.rap.jface;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
- org.eclipse.rap.ui.workbench;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
+ org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)";visibility:=reexport,
+ org.eclipse.rap.jface;bundle-version="[3.13.0,4.0.0)";visibility:=reexport,
+ org.eclipse.rap.ui.workbench;bundle-version="[3.13.0,4.0.0)";visibility:=reexport,
  org.eclipse.core.expressions;bundle-version="[3.5.0,4.0.0)",
  org.eclipse.osgi.services;bundle-version="[3.2.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.rap.ui/pom.xml b/bundles/org.eclipse.rap.ui/pom.xml
index ec73a3c..3edfe80 100644
--- a/bundles/org.eclipse.rap.ui/pom.xml
+++ b/bundles/org.eclipse.rap.ui/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.ui</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/examples/org.eclipse.rap.demo.controls/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.demo.controls/META-INF/MANIFEST.MF
index ea70c17..8422e89 100644
--- a/examples/org.eclipse.rap.demo.controls/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.demo.controls/META-INF/MANIFEST.MF
@@ -3,16 +3,16 @@
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
 Bundle-SymbolicName: org.eclipse.rap.demo.controls;singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: javax.servlet.http;version="[2.3.0,5.0.0)",
  org.eclipse.core.runtime.jobs
-Export-Package: org.eclipse.rap.demo.controls;version="3.12.0",
- org.eclipse.rap.demo.controls.internal;version="3.12.0";x-internal:=true
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.jface;bundle-version="[3.12.0,4.0.0)",
+Export-Package: org.eclipse.rap.demo.controls;version="3.13.0",
+ org.eclipse.rap.demo.controls.internal;version="3.13.0";x-internal:=true
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.jface;bundle-version="[3.13.0,4.0.0)",
  org.eclipse.equinox.common;bundle-version="[3.2.0,4.0.0)",
- org.eclipse.rap.nebula.widgets.grid;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.nebula.widgets.richtext;bundle-version="[3.12.0,4.0.0)"
+ org.eclipse.rap.nebula.widgets.grid;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.nebula.widgets.richtext;bundle-version="[3.13.0,4.0.0)"
 Service-Component: OSGI-INF/contribution.xml
diff --git a/examples/org.eclipse.rap.demo.controls/pom.xml b/examples/org.eclipse.rap.demo.controls/pom.xml
index 2f2d163..b2dcad5 100644
--- a/examples/org.eclipse.rap.demo.controls/pom.xml
+++ b/examples/org.eclipse.rap.demo.controls/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.demo.controls</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/examples/org.eclipse.rap.demo.databinding/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.demo.databinding/META-INF/MANIFEST.MF
index db30e49..cf4c4cb 100644
--- a/examples/org.eclipse.rap.demo.databinding/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.demo.databinding/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.demo.databinding;singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.rap.jface.databinding;bundle-version="[3.12.0,4.0.0)",
+Require-Bundle: org.eclipse.rap.jface.databinding;bundle-version="[3.13.0,4.0.0)",
  org.eclipse.core.databinding,
  org.eclipse.core.databinding.beans,
- org.eclipse.rap.ui;bundle-version="[3.12.0,4.0.0)"
+ org.eclipse.rap.ui;bundle-version="[3.13.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Localization: plugin
-Export-Package: org.eclipse.rap.demo.databinding;version="3.12.0";x-internal:=true,
- org.eclipse.rap.demo.databinding.nestedselection;version="3.12.0";x-internal:=true
+Export-Package: org.eclipse.rap.demo.databinding;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.demo.databinding.nestedselection;version="3.13.0";x-internal:=true
diff --git a/examples/org.eclipse.rap.demo.databinding/pom.xml b/examples/org.eclipse.rap.demo.databinding/pom.xml
index d0fa371..5e08961 100644
--- a/examples/org.eclipse.rap.demo.databinding/pom.xml
+++ b/examples/org.eclipse.rap.demo.databinding/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.demo.databinding</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/examples/org.eclipse.rap.demo/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.demo/META-INF/MANIFEST.MF
index 073b68f..9ae7842 100644
--- a/examples/org.eclipse.rap.demo/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.demo/META-INF/MANIFEST.MF
@@ -3,15 +3,15 @@
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
 Bundle-SymbolicName: org.eclipse.rap.demo;singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Localization: plugin
-Require-Bundle: org.eclipse.rap.ui;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.ui.views;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.ui.forms;bundle-version="[3.12.0,4.0.0)"
+Require-Bundle: org.eclipse.rap.ui;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.ui.views;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.ui.forms;bundle-version="[3.13.0,4.0.0)"
 Import-Package: javax.servlet.http;version="[2.3.0,5.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.rap.demo;version="3.12.0";x-internal:=true,
- org.eclipse.rap.demo.actions;version="3.12.0";x-internal:=true,
- org.eclipse.rap.demo.editor;version="3.12.0";x-internal:=true,
- org.eclipse.rap.demo.presentation;version="3.12.0";x-internal:=true,
- org.eclipse.rap.demo.wizard;version="3.12.0";x-internal:=true
+Export-Package: org.eclipse.rap.demo;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.demo.actions;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.demo.editor;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.demo.presentation;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.demo.wizard;version="3.13.0";x-internal:=true
diff --git a/examples/org.eclipse.rap.demo/pom.xml b/examples/org.eclipse.rap.demo/pom.xml
index a2b7fbb..d5b0d41 100644
--- a/examples/org.eclipse.rap.demo/pom.xml
+++ b/examples/org.eclipse.rap.demo/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.demo</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/examples/org.eclipse.rap.design.example/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.design.example/META-INF/MANIFEST.MF
index b9b5689..1a36a62 100644
--- a/examples/org.eclipse.rap.design.example/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.design.example/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.design.example;singleton:=true
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Vendor: %Bundle-Vendor
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.eclipse.rap.ui;bundle-version="[3.12.0,4.0.0)"
+Require-Bundle: org.eclipse.rap.ui;bundle-version="[3.13.0,4.0.0)"
 Bundle-Localization: plugin
-Export-Package: org.eclipse.rap.internal.design.example;version="3.12.0";x-internal:=true,
- org.eclipse.rap.internal.design.example.builder;version="3.12.0";x-internal:=true,
- org.eclipse.rap.internal.design.example.business;version="3.12.0";x-internal:=true,
- org.eclipse.rap.internal.design.example.business.builder;version="3.12.0";x-internal:=true,
- org.eclipse.rap.internal.design.example.business.layoutsets;version="3.12.0";x-internal:=true,
- org.eclipse.rap.internal.design.example.fancy;version="3.12.0";x-internal:=true,
- org.eclipse.rap.internal.design.example.fancy.builder;version="3.12.0";x-internal:=true,
- org.eclipse.rap.internal.design.example.fancy.layoutsets;version="3.12.0";x-internal:=true,
- org.eclipse.rap.internal.design.example.managers;version="3.12.0";x-internal:=true,
- org.eclipse.rap.internal.design.example.stacks;version="3.12.0";x-internal:=true
+Export-Package: org.eclipse.rap.internal.design.example;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.internal.design.example.builder;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.internal.design.example.business;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.internal.design.example.business.builder;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.internal.design.example.business.layoutsets;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.internal.design.example.fancy;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.internal.design.example.fancy.builder;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.internal.design.example.fancy.layoutsets;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.internal.design.example.managers;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.internal.design.example.stacks;version="3.13.0";x-internal:=true
 Bundle-ClassPath: .
diff --git a/examples/org.eclipse.rap.design.example/pom.xml b/examples/org.eclipse.rap.design.example/pom.xml
index e062d12..e26bbc0 100644
--- a/examples/org.eclipse.rap.design.example/pom.xml
+++ b/examples/org.eclipse.rap.design.example/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.design.example</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/examples/org.eclipse.rap.e4.demo/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.e4.demo/META-INF/MANIFEST.MF
index caa25ca..7fc8db0 100644
--- a/examples/org.eclipse.rap.e4.demo/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.e4.demo/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2

 Bundle-Name: RAP E4 Demo

 Bundle-SymbolicName: org.eclipse.rap.e4.demo

-Bundle-Version: 3.12.0.qualifier

+Bundle-Version: 3.13.0.qualifier

 Bundle-Vendor: Eclipse.org - RAP

 Bundle-RequiredExecutionEnvironment: JavaSE-1.8

 Bundle-ClassPath: .

-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",

- org.eclipse.rap.e4;bundle-version="[3.12.0,4.0.0)",

- org.eclipse.rap.jface;bundle-version="[3.12.0,4.0.0)",

+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",

+ org.eclipse.rap.e4;bundle-version="[3.13.0,4.0.0)",

+ org.eclipse.rap.jface;bundle-version="[3.13.0,4.0.0)",

  org.eclipse.equinox.common,

  org.eclipse.e4.core.di,

  org.eclipse.e4.core.di.extensions,

diff --git a/examples/org.eclipse.rap.e4.demo/pom.xml b/examples/org.eclipse.rap.e4.demo/pom.xml
index be59722..f1937ac 100644
--- a/examples/org.eclipse.rap.e4.demo/pom.xml
+++ b/examples/org.eclipse.rap.e4.demo/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.e4.demo</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/examples/org.eclipse.rap.examples.pages/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.examples.pages/META-INF/MANIFEST.MF
index 863339a..cb274fc 100644
--- a/examples/org.eclipse.rap.examples.pages/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.examples.pages/META-INF/MANIFEST.MF
@@ -1,18 +1,18 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.eclipse.rap.examples.pages
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Localization: plugin
 Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.jface;bundle-version="[3.12.0,4.0.0)",
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.jface;bundle-version="[3.13.0,4.0.0)",
  org.eclipse.equinox.common;bundle-version="[3.2.0,4.0.0)"
-Export-Package: org.eclipse.rap.examples.pages;version="3.12.0",
- org.eclipse.rap.examples.pages.internal;version="3.12.0";x-internal:=true
+Export-Package: org.eclipse.rap.examples.pages;version="3.13.0",
+ org.eclipse.rap.examples.pages.internal;version="3.13.0";x-internal:=true
 Bundle-Activator: org.eclipse.rap.examples.pages.internal.Activator
 Import-Package: javax.servlet.http;version="[2.5.0,5.0.0)",
- org.eclipse.rap.examples;version="[3.12.0,4.0.0)",
+ org.eclipse.rap.examples;version="[3.13.0,4.0.0)",
  org.osgi.framework;version="[1.6.0,2.0.0)"
diff --git a/examples/org.eclipse.rap.examples.pages/pom.xml b/examples/org.eclipse.rap.examples.pages/pom.xml
index a66e81a..d0a4e69 100644
--- a/examples/org.eclipse.rap.examples.pages/pom.xml
+++ b/examples/org.eclipse.rap.examples.pages/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.examples.pages</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/examples/org.eclipse.rap.examples/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.examples/META-INF/MANIFEST.MF
index f97cda8..c0654ca 100644
--- a/examples/org.eclipse.rap.examples/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.examples/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.eclipse.rap.examples
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
 Bundle-Activator: org.eclipse.rap.examples.internal.Activator
@@ -12,6 +12,6 @@
  javax.servlet.http;version="[2.4.0,5.0.0)",
  org.osgi.framework;version="[1.6.0,2.0.0)",
  org.osgi.util.tracker;version="[1.5.0,2.0.0)"
-Export-Package: org.eclipse.rap.examples;version="3.12.0",
- org.eclipse.rap.examples.internal;version="3.12.0";x-internal:=true
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+Export-Package: org.eclipse.rap.examples;version="3.13.0",
+ org.eclipse.rap.examples.internal;version="3.13.0";x-internal:=true
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
diff --git a/examples/org.eclipse.rap.examples/pom.xml b/examples/org.eclipse.rap.examples/pom.xml
index 6afb423..8221812 100644
--- a/examples/org.eclipse.rap.examples/pom.xml
+++ b/examples/org.eclipse.rap.examples/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.examples</artifactId>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
   <build>
diff --git a/examples/org.eclipse.rap.filedialog.demo.examples/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.filedialog.demo.examples/META-INF/MANIFEST.MF
index 9af8b6a..ef21a67 100644
--- a/examples/org.eclipse.rap.filedialog.demo.examples/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.filedialog.demo.examples/META-INF/MANIFEST.MF
@@ -1,17 +1,17 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-SymbolicName: org.eclipse.rap.filedialog.demo.examples
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: javax.servlet;version="[2.5.0,5.0.0)",
  javax.servlet.http;version="[2.5.0,5.0.0)",
- org.eclipse.rap.fileupload;version="[3.12.0,4.0.0)",
+ org.eclipse.rap.fileupload;version="[3.13.0,4.0.0)",
  org.osgi.framework;version="1.3.0"
 Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.examples;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.filedialog;bundle-version="[3.12.0,4.0.0)"
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.examples;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.filedialog;bundle-version="[3.13.0,4.0.0)"
 Bundle-Localization: plugin
 Bundle-Activator: org.eclipse.rap.filedialog.demo.examples.Activator
-Export-Package: org.eclipse.rap.filedialog.demo.examples;version="3.12.0"
+Export-Package: org.eclipse.rap.filedialog.demo.examples;version="3.13.0"
diff --git a/examples/org.eclipse.rap.filedialog.demo.examples/pom.xml b/examples/org.eclipse.rap.filedialog.demo.examples/pom.xml
index 3289b56..f99a24a 100644
--- a/examples/org.eclipse.rap.filedialog.demo.examples/pom.xml
+++ b/examples/org.eclipse.rap.filedialog.demo.examples/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.filedialog.demo.examples</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/examples/org.eclipse.rap.nebula.widgets.grid.demo.examples/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.nebula.widgets.grid.demo.examples/META-INF/MANIFEST.MF
index 5f3d82d..4f86a08 100644
--- a/examples/org.eclipse.rap.nebula.widgets.grid.demo.examples/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.nebula.widgets.grid.demo.examples/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.nebula.widgets.grid.demo.examples
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Activator: org.eclipse.rap.nebula.widget.grid.demo.examples.Activator
 Import-Package: org.osgi.framework;version="1.3.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: %Bundle-Vendor
 Bundle-Localization: plugin
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="3.12.0",
- org.eclipse.rap.examples;bundle-version="3.12.0",
- org.eclipse.rap.nebula.widgets.grid;bundle-version="3.12.0"
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="3.13.0",
+ org.eclipse.rap.examples;bundle-version="3.13.0",
+ org.eclipse.rap.nebula.widgets.grid;bundle-version="3.13.0"
 Export-Package: org.eclipse.rap.nebula.widget.grid.demo.examples
diff --git a/examples/org.eclipse.rap.nebula.widgets.grid.demo.examples/pom.xml b/examples/org.eclipse.rap.nebula.widgets.grid.demo.examples/pom.xml
index 148d138..9fbad63 100644
--- a/examples/org.eclipse.rap.nebula.widgets.grid.demo.examples/pom.xml
+++ b/examples/org.eclipse.rap.nebula.widgets.grid.demo.examples/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.nebula.widgets.grid.demo.examples</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/examples/org.eclipse.rap.nebula.widgets.richtext.demo.examples/META-INF/MANIFEST.MF b/examples/org.eclipse.rap.nebula.widgets.richtext.demo.examples/META-INF/MANIFEST.MF
index 986447b..d3a2112 100644
--- a/examples/org.eclipse.rap.nebula.widgets.richtext.demo.examples/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.rap.nebula.widgets.richtext.demo.examples/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.nebula.widgets.richtext.demo.examples
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: %Bundle-Vendor
 Bundle-Activator: org.eclipse.rap.nebula.widgets.richtext.demo.examples.Activator
 Import-Package: org.eclipse.nebula.widgets.richtext;version="[3.2.0,4.0.0)",
  org.osgi.framework;version="1.7.0"
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.examples;bundle-version="[3.12.0,4.0.0)"
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.examples;bundle-version="[3.13.0,4.0.0)"
diff --git a/examples/org.eclipse.rap.nebula.widgets.richtext.demo.examples/pom.xml b/examples/org.eclipse.rap.nebula.widgets.richtext.demo.examples/pom.xml
index 060b670..01ce531 100644
--- a/examples/org.eclipse.rap.nebula.widgets.richtext.demo.examples/pom.xml
+++ b/examples/org.eclipse.rap.nebula.widgets.richtext.demo.examples/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.nebula.widgets.richtext.demo.examples</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/features/org.eclipse.rap.e4.equinox.target.feature/feature.xml b/features/org.eclipse.rap.e4.equinox.target.feature/feature.xml
index d7efeac..c0a2672 100644
--- a/features/org.eclipse.rap.e4.equinox.target.feature/feature.xml
+++ b/features/org.eclipse.rap.e4.equinox.target.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.rap.e4.equinox.target.feature"
       label="RAP Basic E4 Equinox Target"
-      version="3.12.0.qualifier"
+      version="3.13.0.qualifier"
       provider-name="Eclipse.org - RAP"
       license-feature="org.eclipse.license"
       license-feature-version="0.0.0">
@@ -20,7 +20,7 @@
    </license>
 
    <requires>
-      <import feature="org.eclipse.rap.e4.feature" version="3.12.0" match="greaterOrEqual"/>
+      <import feature="org.eclipse.rap.e4.feature" version="3.13.0" match="greaterOrEqual"/>
    </requires>
 
    <plugin
diff --git a/features/org.eclipse.rap.e4.equinox.target.feature/pom.xml b/features/org.eclipse.rap.e4.equinox.target.feature/pom.xml
index c099b79..7effff8 100644
--- a/features/org.eclipse.rap.e4.equinox.target.feature/pom.xml
+++ b/features/org.eclipse.rap.e4.equinox.target.feature/pom.xml
@@ -17,13 +17,13 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.e4.equinox.target.feature</artifactId>
   <packaging>eclipse-feature</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <repositories>
     <repository>
diff --git a/features/org.eclipse.rap.e4.examples.feature/feature.xml b/features/org.eclipse.rap.e4.examples.feature/feature.xml
index 9e53d47..534bf5b 100644
--- a/features/org.eclipse.rap.e4.examples.feature/feature.xml
+++ b/features/org.eclipse.rap.e4.examples.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.rap.e4.examples.feature"
       label="RAP E4 Examples"
-      version="3.12.0.qualifier"
+      version="3.13.0.qualifier"
       provider-name="Eclipse.org - RAP"
       license-feature="org.eclipse.license"
       license-feature-version="0.0.0">
@@ -20,7 +20,7 @@
    </license>
 
    <requires>
-      <import feature="org.eclipse.rap.e4.feature" version="3.12.0" match="compatible"/>
+      <import feature="org.eclipse.rap.e4.feature" version="3.13.0" match="compatible"/>
    </requires>
 
    <plugin
diff --git a/features/org.eclipse.rap.e4.examples.feature/pom.xml b/features/org.eclipse.rap.e4.examples.feature/pom.xml
index 4184aa5..d65783e 100644
--- a/features/org.eclipse.rap.e4.examples.feature/pom.xml
+++ b/features/org.eclipse.rap.e4.examples.feature/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.e4.examples.feature</artifactId>
   <packaging>eclipse-feature</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/features/org.eclipse.rap.e4.feature/feature.xml b/features/org.eclipse.rap.e4.feature/feature.xml
index 37c8c43..6e583cb 100644
--- a/features/org.eclipse.rap.e4.feature/feature.xml
+++ b/features/org.eclipse.rap.e4.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.rap.e4.feature"
       label="RAP E4 Runtime"
-      version="3.12.0.qualifier"
+      version="3.13.0.qualifier"
       provider-name="Eclipse.org - RAP"
       license-feature="org.eclipse.license"
       license-feature-version="0.0.0">
diff --git a/features/org.eclipse.rap.e4.feature/pom.xml b/features/org.eclipse.rap.e4.feature/pom.xml
index 9608509..39589c0 100644
--- a/features/org.eclipse.rap.e4.feature/pom.xml
+++ b/features/org.eclipse.rap.e4.feature/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.e4.feature</artifactId>
   <packaging>eclipse-feature</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/features/org.eclipse.rap.e4.sdk.feature/feature.xml b/features/org.eclipse.rap.e4.sdk.feature/feature.xml
index 41b293c..ebbd585 100644
--- a/features/org.eclipse.rap.e4.sdk.feature/feature.xml
+++ b/features/org.eclipse.rap.e4.sdk.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.rap.e4.sdk.feature"
       label="RAP E4 SDK"
-      version="3.12.0.qualifier"
+      version="3.13.0.qualifier"
       provider-name="Eclipse.org - RAP"
       license-feature="org.eclipse.license"
       license-feature-version="0.0.0">
diff --git a/features/org.eclipse.rap.e4.sdk.feature/pom.xml b/features/org.eclipse.rap.e4.sdk.feature/pom.xml
index a11dbd9..c4faef6 100644
--- a/features/org.eclipse.rap.e4.sdk.feature/pom.xml
+++ b/features/org.eclipse.rap.e4.sdk.feature/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.e4.sdk.feature</artifactId>
   <packaging>eclipse-feature</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/features/org.eclipse.rap.equinox.target.feature/feature.xml b/features/org.eclipse.rap.equinox.target.feature/feature.xml
index ff3cf48..9b3f098 100644
--- a/features/org.eclipse.rap.equinox.target.feature/feature.xml
+++ b/features/org.eclipse.rap.equinox.target.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.rap.equinox.target.feature"
       label="RAP Basic Equinox Target"
-      version="3.12.0.qualifier"
+      version="3.13.0.qualifier"
       provider-name="Eclipse.org - RAP"
       license-feature="org.eclipse.license"
       license-feature-version="0.0.0">
@@ -20,7 +20,7 @@
    </license>
 
    <requires>
-      <import feature="org.eclipse.rap.feature" version="3.12.0" match="greaterOrEqual"/>
+      <import feature="org.eclipse.rap.feature" version="3.13.0" match="greaterOrEqual"/>
    </requires>
 
    <plugin
diff --git a/features/org.eclipse.rap.equinox.target.feature/pom.xml b/features/org.eclipse.rap.equinox.target.feature/pom.xml
index 0566ce8..d4ebd03 100644
--- a/features/org.eclipse.rap.equinox.target.feature/pom.xml
+++ b/features/org.eclipse.rap.equinox.target.feature/pom.xml
@@ -17,13 +17,13 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.equinox.target.feature</artifactId>
   <packaging>eclipse-feature</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <repositories>
     <repository>
diff --git a/features/org.eclipse.rap.examples.feature/feature.xml b/features/org.eclipse.rap.examples.feature/feature.xml
index 04824b9..929251c 100644
--- a/features/org.eclipse.rap.examples.feature/feature.xml
+++ b/features/org.eclipse.rap.examples.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.rap.examples.feature"
       label="RAP Examples"
-      version="3.12.0.qualifier"
+      version="3.13.0.qualifier"
       provider-name="Eclipse.org - RAP"
       license-feature="org.eclipse.license"
       license-feature-version="0.0.0">
@@ -20,7 +20,7 @@
    </license>
 
    <requires>
-      <import feature="org.eclipse.rap.feature" version="3.12.0" match="compatible"/>
+      <import feature="org.eclipse.rap.feature" version="3.13.0" match="compatible"/>
    </requires>
 
    <plugin
diff --git a/features/org.eclipse.rap.examples.feature/pom.xml b/features/org.eclipse.rap.examples.feature/pom.xml
index 4128cd2..3fadcca 100644
--- a/features/org.eclipse.rap.examples.feature/pom.xml
+++ b/features/org.eclipse.rap.examples.feature/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.examples.feature</artifactId>
   <packaging>eclipse-feature</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/features/org.eclipse.rap.feature/feature.xml b/features/org.eclipse.rap.feature/feature.xml
index dfea208..fd06a56 100644
--- a/features/org.eclipse.rap.feature/feature.xml
+++ b/features/org.eclipse.rap.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.rap.feature"
       label="RAP Runtime"
-      version="3.12.0.qualifier"
+      version="3.13.0.qualifier"
       provider-name="Eclipse.org - RAP"
       license-feature="org.eclipse.license"
       license-feature-version="0.0.0">
diff --git a/features/org.eclipse.rap.feature/pom.xml b/features/org.eclipse.rap.feature/pom.xml
index ff25993..f4abfa0 100644
--- a/features/org.eclipse.rap.feature/pom.xml
+++ b/features/org.eclipse.rap.feature/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.feature</artifactId>
   <packaging>eclipse-feature</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/features/org.eclipse.rap.sdk.feature/feature.xml b/features/org.eclipse.rap.sdk.feature/feature.xml
index 38ed902..06eba7c 100644
--- a/features/org.eclipse.rap.sdk.feature/feature.xml
+++ b/features/org.eclipse.rap.sdk.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.rap.sdk.feature"
       label="RAP SDK"
-      version="3.12.0.qualifier"
+      version="3.13.0.qualifier"
       provider-name="Eclipse.org - RAP"
       license-feature="org.eclipse.license"
       license-feature-version="0.0.0">
diff --git a/features/org.eclipse.rap.sdk.feature/pom.xml b/features/org.eclipse.rap.sdk.feature/pom.xml
index 4b86fa4..9aa8746 100644
--- a/features/org.eclipse.rap.sdk.feature/pom.xml
+++ b/features/org.eclipse.rap.sdk.feature/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.sdk.feature</artifactId>
   <packaging>eclipse-feature</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/pom.xml b/pom.xml
index 5b220dc..3ac402f 100644
--- a/pom.xml
+++ b/pom.xml
@@ -19,7 +19,7 @@
   <groupId>org.eclipse.rap</groupId>
   <artifactId>org.eclipse.rap.runtime-build</artifactId>
   <packaging>pom</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <modules>
     <!-- Runtime projects -->
diff --git a/releng/org.eclipse.rap.build/pom.xml b/releng/org.eclipse.rap.build/pom.xml
index 3a14fe6..cd45de8 100644
--- a/releng/org.eclipse.rap.build/pom.xml
+++ b/releng/org.eclipse.rap.build/pom.xml
@@ -16,7 +16,7 @@
 
   <groupId>org.eclipse.rap</groupId>
   <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
   <packaging>pom</packaging>
 
   <properties>
diff --git a/releng/org.eclipse.rap.build/repository.e4/category.xml b/releng/org.eclipse.rap.build/repository.e4/category.xml
index 12b86dd..ac8d738 100644
--- a/releng/org.eclipse.rap.build/repository.e4/category.xml
+++ b/releng/org.eclipse.rap.build/repository.e4/category.xml
@@ -11,34 +11,34 @@
 -->
 <site>
    <stats location="http://download.eclipse.org/stats/rt/rap">
-      <feature url="features/org.eclipse.rap.e4.equinox.target.feature_3.12.0.qualifier.jar" id="org.eclipse.rap.e4.equinox.target.feature" version="3.12.0.qualifier"/>
-      <feature url="features/org.eclipse.rap.e4.examples.feature_3.12.0.qualifier.jar" id="org.eclipse.rap.e4.examples.feature" version="3.12.0.qualifier"/>
-      <feature url="features/org.eclipse.rap.e4.feature_3.12.0.qualifier.jar" id="org.eclipse.rap.e4.feature" version="3.12.0.qualifier"/>
-      <feature url="features/org.eclipse.rap.e4.sdk.feature_3.12.0.qualifier.jar" id="org.eclipse.rap.e4.sdk.feature" version="3.12.0.qualifier"/>
-      <bundle id="org.eclipse.rap.e4" version="3.12.0.qualifier"/>
+      <feature url="features/org.eclipse.rap.e4.equinox.target.feature_3.13.0.qualifier.jar" id="org.eclipse.rap.e4.equinox.target.feature" version="3.13.0.qualifier"/>
+      <feature url="features/org.eclipse.rap.e4.examples.feature_3.13.0.qualifier.jar" id="org.eclipse.rap.e4.examples.feature" version="3.13.0.qualifier"/>
+      <feature url="features/org.eclipse.rap.e4.feature_3.13.0.qualifier.jar" id="org.eclipse.rap.e4.feature" version="3.13.0.qualifier"/>
+      <feature url="features/org.eclipse.rap.e4.sdk.feature_3.13.0.qualifier.jar" id="org.eclipse.rap.e4.sdk.feature" version="3.13.0.qualifier"/>
+      <bundle id="org.eclipse.rap.e4" version="3.13.0.qualifier"/>
    </stats>
 
   <feature url="http://eclipse.org/rap"
       id="org.eclipse.rap.e4.feature"
-      version="3.12.0.qualifier">
+      version="3.13.0.qualifier">
     <category name="org.eclipse.rap.e4.category"/>
   </feature>
 
   <feature url="http://eclipse.org/rap"
       id="org.eclipse.rap.e4.sdk.feature"
-      version="3.12.0.qualifier">
+      version="3.13.0.qualifier">
     <category name="org.eclipse.rap.e4.category"/>
   </feature>
 
   <feature url="http://eclipse.org/rap"
       id="org.eclipse.rap.e4.examples.feature"
-      version="3.12.0.qualifier">
+      version="3.13.0.qualifier">
     <category name="org.eclipse.rap.e4.category"/>
   </feature>
 
   <feature url="http://eclipse.org/rap"
       id="org.eclipse.rap.e4.equinox.target.feature"
-      version="3.12.0.qualifier">
+      version="3.13.0.qualifier">
     <category name="org.eclipse.rap.e4.category"/>
   </feature>
 
diff --git a/releng/org.eclipse.rap.build/repository.e4/pom.xml b/releng/org.eclipse.rap.build/repository.e4/pom.xml
index 45872e3..5074b2b 100644
--- a/releng/org.eclipse.rap.build/repository.e4/pom.xml
+++ b/releng/org.eclipse.rap.build/repository.e4/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.rap.runtime-aggregation-repository-e4</artifactId>
   <packaging>eclipse-repository</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <repositories>
     <repository>
diff --git a/releng/org.eclipse.rap.build/repository/category.xml b/releng/org.eclipse.rap.build/repository/category.xml
index 27bd8d6..8b3a2b1 100644
--- a/releng/org.eclipse.rap.build/repository/category.xml
+++ b/releng/org.eclipse.rap.build/repository/category.xml
@@ -11,36 +11,36 @@
 -->
 <site>
    <stats location="http://download.eclipse.org/stats/rt/rap">
-      <feature url="features/org.eclipse.rap.equinox.target.feature_3.12.0.qualifier.jar" id="org.eclipse.rap.equinox.target.feature" version="3.12.0.qualifier"/>
-      <feature url="features/org.eclipse.rap.examples.feature_3.12.0.qualifier.jar" id="org.eclipse.rap.examples.feature" version="3.12.0.qualifier"/>
-      <feature url="features/org.eclipse.rap.feature_3.12.0.qualifier.jar" id="org.eclipse.rap.feature" version="3.12.0.qualifier"/>
-      <feature url="features/org.eclipse.rap.sdk.feature_3.12.0.qualifier.jar" id="org.eclipse.rap.sdk.feature" version="3.12.0.qualifier"/>
-      <bundle id="org.eclipse.rap.rwt" version="3.12.0.qualifier"/>
-      <bundle id="org.eclipse.rap.rwt.osgi" version="3.12.0.qualifier"/>
-      <bundle id="org.eclipse.rap.ui" version="3.12.0.qualifier"/>
+      <feature url="features/org.eclipse.rap.equinox.target.feature_3.13.0.qualifier.jar" id="org.eclipse.rap.equinox.target.feature" version="3.13.0.qualifier"/>
+      <feature url="features/org.eclipse.rap.examples.feature_3.13.0.qualifier.jar" id="org.eclipse.rap.examples.feature" version="3.13.0.qualifier"/>
+      <feature url="features/org.eclipse.rap.feature_3.13.0.qualifier.jar" id="org.eclipse.rap.feature" version="3.13.0.qualifier"/>
+      <feature url="features/org.eclipse.rap.sdk.feature_3.13.0.qualifier.jar" id="org.eclipse.rap.sdk.feature" version="3.13.0.qualifier"/>
+      <bundle id="org.eclipse.rap.rwt" version="3.13.0.qualifier"/>
+      <bundle id="org.eclipse.rap.rwt.osgi" version="3.13.0.qualifier"/>
+      <bundle id="org.eclipse.rap.ui" version="3.13.0.qualifier"/>
    </stats>
 
   <feature url="http://eclipse.org/rap"
       id="org.eclipse.rap.feature"
-      version="3.12.0.qualifier">
+      version="3.13.0.qualifier">
     <category name="org.eclipse.rap.category"/>
   </feature>
 
   <feature url="http://eclipse.org/rap"
       id="org.eclipse.rap.sdk.feature"
-      version="3.12.0.qualifier">
+      version="3.13.0.qualifier">
     <category name="org.eclipse.rap.category"/>
   </feature>
 
   <feature url="http://eclipse.org/rap"
       id="org.eclipse.rap.examples.feature"
-      version="3.12.0.qualifier">
+      version="3.13.0.qualifier">
     <category name="org.eclipse.rap.category"/>
   </feature>
 
   <feature url="http://eclipse.org/rap"
       id="org.eclipse.rap.equinox.target.feature"
-      version="3.12.0.qualifier">
+      version="3.13.0.qualifier">
     <category name="org.eclipse.rap.category"/>
   </feature>
   
diff --git a/releng/org.eclipse.rap.build/repository/pom.xml b/releng/org.eclipse.rap.build/repository/pom.xml
index 56fbfaf..723dccc 100644
--- a/releng/org.eclipse.rap.build/repository/pom.xml
+++ b/releng/org.eclipse.rap.build/repository/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.rap.runtime-aggregation-repository</artifactId>
   <packaging>eclipse-repository</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <repositories>
     <repository>
diff --git a/releng/org.eclipse.rap.clientbuilder/META-INF/MANIFEST.MF b/releng/org.eclipse.rap.clientbuilder/META-INF/MANIFEST.MF
index b11d0c3..8e5aca6 100644
--- a/releng/org.eclipse.rap.clientbuilder/META-INF/MANIFEST.MF
+++ b/releng/org.eclipse.rap.clientbuilder/META-INF/MANIFEST.MF
@@ -2,9 +2,9 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: RAP JavaScript WebClient Builder
 Bundle-SymbolicName: org.eclipse.rap.clientbuilder
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Vendor: Eclipse.org - RAP
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.mozilla.javascript;bundle-version="[1.7.5,1.7.10)",
  org.junit;bundle-version="4.11.0";resolution:=optional
-Export-Package: org.eclipse.rap.clientbuilder;version="3.12.0"
+Export-Package: org.eclipse.rap.clientbuilder;version="3.13.0"
diff --git a/releng/org.eclipse.rap.clientbuilder/pom.xml b/releng/org.eclipse.rap.clientbuilder/pom.xml
index f44f37b..6d6b43a 100644
--- a/releng/org.eclipse.rap.clientbuilder/pom.xml
+++ b/releng/org.eclipse.rap.clientbuilder/pom.xml
@@ -17,13 +17,13 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.clientbuilder</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <repositories>
     <repository>
diff --git a/releng/org.eclipse.rap.examples.build/controlsdemo/pom.xml b/releng/org.eclipse.rap.examples.build/controlsdemo/pom.xml
index deafa1f..242555b 100644
--- a/releng/org.eclipse.rap.examples.build/controlsdemo/pom.xml
+++ b/releng/org.eclipse.rap.examples.build/controlsdemo/pom.xml
@@ -8,7 +8,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.examples.parent.parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../parent/parent</relativePath>
   </parent>
 
diff --git a/releng/org.eclipse.rap.examples.build/parent/parent/pom.xml b/releng/org.eclipse.rap.examples.build/parent/parent/pom.xml
index d07b4cb..4edc8c0 100644
--- a/releng/org.eclipse.rap.examples.build/parent/parent/pom.xml
+++ b/releng/org.eclipse.rap.examples.build/parent/parent/pom.xml
@@ -7,7 +7,7 @@
 
   <groupId>org.eclipse.rap</groupId>
   <artifactId>org.eclipse.rap.examples.parent.parent</artifactId>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
   <packaging>pom</packaging>
 
   <properties>
diff --git a/releng/org.eclipse.rap.examples.build/parent/pom.xml b/releng/org.eclipse.rap.examples.build/parent/pom.xml
index 49883ac..f20d763 100644
--- a/releng/org.eclipse.rap.examples.build/parent/pom.xml
+++ b/releng/org.eclipse.rap.examples.build/parent/pom.xml
@@ -8,7 +8,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.examples.parent.parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>parent</relativePath>
   </parent>
 
diff --git a/releng/org.eclipse.rap.examples.build/pom.xml b/releng/org.eclipse.rap.examples.build/pom.xml
index 762316d..f6ef921 100644
--- a/releng/org.eclipse.rap.examples.build/pom.xml
+++ b/releng/org.eclipse.rap.examples.build/pom.xml
@@ -8,13 +8,13 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.examples.parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>parent</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.examples.build</artifactId>
   <packaging>pom</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <name>RAP demo examples build</name>
 
diff --git a/releng/org.eclipse.rap.examples.build/rapdemo/pom.xml b/releng/org.eclipse.rap.examples.build/rapdemo/pom.xml
index be5aa1e..f68318a 100644
--- a/releng/org.eclipse.rap.examples.build/rapdemo/pom.xml
+++ b/releng/org.eclipse.rap.examples.build/rapdemo/pom.xml
@@ -8,7 +8,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.examples.parent.parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../parent/parent</relativePath>
   </parent>
 
diff --git a/releng/org.eclipse.rap.examples.build/workbenchdemo/pom.xml b/releng/org.eclipse.rap.examples.build/workbenchdemo/pom.xml
index 6800269..91b87fc 100644
--- a/releng/org.eclipse.rap.examples.build/workbenchdemo/pom.xml
+++ b/releng/org.eclipse.rap.examples.build/workbenchdemo/pom.xml
@@ -8,7 +8,7 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.examples.parent.parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../parent/parent</relativePath>
   </parent>
 
diff --git a/tests/org.eclipse.rap.filedialog.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.filedialog.test/META-INF/MANIFEST.MF
index 8964f81..317167e 100644
--- a/tests/org.eclipse.rap.filedialog.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.filedialog.test/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.filedialog.test
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Localization: plugin
 Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.filedialog;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.fileupload;bundle-version="[3.12.0,4.0.0)",
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.filedialog;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.fileupload;bundle-version="[3.13.0,4.0.0)",
  org.junit;bundle-version="[4.8.2,5.0.0)"
-Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.12.0,4.0.0)",
+Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.13.0,4.0.0)",
  org.mockito;version="[1.9.5,2.0.0)",
  org.mockito.invocation;version="[1.9.5,2.0.0)",
  org.mockito.stubbing;version="[1.9.5,2.0.0)",
diff --git a/tests/org.eclipse.rap.filedialog.test/pom.xml b/tests/org.eclipse.rap.filedialog.test/pom.xml
index 3aceddc..13cc697 100644
--- a/tests/org.eclipse.rap.filedialog.test/pom.xml
+++ b/tests/org.eclipse.rap.filedialog.test/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.filedialog.test</artifactId>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
 </project>
diff --git a/tests/org.eclipse.rap.fileupload.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.fileupload.test/META-INF/MANIFEST.MF
index ccc21ec..92e6f9a 100644
--- a/tests/org.eclipse.rap.fileupload.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.fileupload.test/META-INF/MANIFEST.MF
@@ -1,8 +1,8 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.eclipse.rap.fileupload.test
-Bundle-Version: 3.12.0.qualifier
-Fragment-Host: org.eclipse.rap.fileupload;bundle-version="[3.12.0,4.0.0)"
+Bundle-Version: 3.13.0.qualifier
+Fragment-Host: org.eclipse.rap.fileupload;bundle-version="[3.13.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
@@ -11,14 +11,14 @@
  org.apache.commons.fileupload;version="1.3.1",
  org.apache.commons.fileupload.disk;version="1.3.1",
  org.apache.commons.fileupload.servlet;version="1.3.1",
- org.eclipse.rap.rwt.testfixture;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal.engine;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal.service;version="[3.12.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal.engine;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal.service;version="[3.13.0,4.0.0)",
  org.mockito;version="[1.9.5,2.0.0)",
  org.mockito.invocation;version="[1.9.5,2.0.0)",
  org.mockito.stubbing;version="[1.9.5,2.0.0)",
  org.objenesis;version="[1.0.0,2.0.0)"
 Require-Bundle: org.junit;bundle-version="[4.8.2,5.0.0)",
- org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+ org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
 Bundle-Localization: plugin
diff --git a/tests/org.eclipse.rap.fileupload.test/pom.xml b/tests/org.eclipse.rap.fileupload.test/pom.xml
index 2c121ee..d534633 100644
--- a/tests/org.eclipse.rap.fileupload.test/pom.xml
+++ b/tests/org.eclipse.rap.fileupload.test/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.fileupload.test</artifactId>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
 </project>
diff --git a/tests/org.eclipse.rap.nebula.widgets.grid.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.nebula.widgets.grid.test/META-INF/MANIFEST.MF
index 8b1ac7d..3c1581a 100644
--- a/tests/org.eclipse.rap.nebula.widgets.grid.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.nebula.widgets.grid.test/META-INF/MANIFEST.MF
@@ -3,14 +3,14 @@
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
 Bundle-SymbolicName: org.eclipse.rap.nebula.widgets.grid.test
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Require-Bundle: org.junit;bundle-version="4.8.2"
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal.engine;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal.service;version="[3.12.0,4.0.0)",
+Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal.engine;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal.service;version="[3.13.0,4.0.0)",
  org.mockito;version="[1.9.5,2.0.0)",
  org.mockito.invocation;version="[1.9.5,2.0.0)",
  org.mockito.stubbing;version="[1.9.5,2.0.0)",
@@ -21,4 +21,4 @@
  org.eclipse.nebula.widgets.grid.internal.gridcolumnkit;x-internal:=true,
  org.eclipse.nebula.widgets.grid.internal.griditemkit;x-internal:=true,
  org.eclipse.nebula.widgets.grid.internal.gridkit;x-internal:=true
-Fragment-Host: org.eclipse.rap.nebula.widgets.grid;bundle-version="[3.12.0,4.0.0)"
+Fragment-Host: org.eclipse.rap.nebula.widgets.grid;bundle-version="[3.13.0,4.0.0)"
diff --git a/tests/org.eclipse.rap.nebula.widgets.grid.test/pom.xml b/tests/org.eclipse.rap.nebula.widgets.grid.test/pom.xml
index a6ae194..17ec440 100644
--- a/tests/org.eclipse.rap.nebula.widgets.grid.test/pom.xml
+++ b/tests/org.eclipse.rap.nebula.widgets.grid.test/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.nebula.widgets.grid.test</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/tests/org.eclipse.rap.nebula.widgets.richtext.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.nebula.widgets.richtext.test/META-INF/MANIFEST.MF
index d9726c7..be69ecd 100644
--- a/tests/org.eclipse.rap.nebula.widgets.richtext.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.nebula.widgets.richtext.test/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.nebula.widgets.richtext.test
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Vendor: %Bundle-Vendor
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Fragment-Host: org.eclipse.rap.nebula.widgets.richtext;bundle-version="3.12.0"
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
+Fragment-Host: org.eclipse.rap.nebula.widgets.richtext;bundle-version="3.13.0"
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
  org.junit;bundle-version="4.8.1",
  org.mockito.mockito-all;bundle-version="1.9.5"
-Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.12.0,4.0.0)"
+Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.13.0,4.0.0)"
diff --git a/tests/org.eclipse.rap.nebula.widgets.richtext.test/pom.xml b/tests/org.eclipse.rap.nebula.widgets.richtext.test/pom.xml
index 3e844e5..1afb275 100644
--- a/tests/org.eclipse.rap.nebula.widgets.richtext.test/pom.xml
+++ b/tests/org.eclipse.rap.nebula.widgets.richtext.test/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.nebula.widgets.richtext.test</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/tests/org.eclipse.rap.rwt.cluster.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.rwt.cluster.test/META-INF/MANIFEST.MF
index e8e2ac0..b43369b 100644
--- a/tests/org.eclipse.rap.rwt.cluster.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.rwt.cluster.test/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: RWT Cluster Tests
 Bundle-SymbolicName: org.eclipse.rap.rwt.cluster.test
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Vendor: Eclipse.org - RAP
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.cluster.testfixture;bundle-version="[3.12.0,4.0.0)",
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.cluster.testfixture;bundle-version="[3.13.0,4.0.0)",
  org.junit;bundle-version="4.8.2"
 Import-Package: javax.servlet;version="[2.5.0,5.0.0)",
  javax.servlet.http;version="[2.5.0,5.0.0)"
diff --git a/tests/org.eclipse.rap.rwt.cluster.test/pom.xml b/tests/org.eclipse.rap.rwt.cluster.test/pom.xml
index a3e13d3..415ba5f 100644
--- a/tests/org.eclipse.rap.rwt.cluster.test/pom.xml
+++ b/tests/org.eclipse.rap.rwt.cluster.test/pom.xml
@@ -17,13 +17,13 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.rwt.cluster.test</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <build>
     <plugins>
diff --git a/tests/org.eclipse.rap.rwt.cluster.testfixture.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.rwt.cluster.testfixture.test/META-INF/MANIFEST.MF
index d9d5b3f..ba0277c 100644
--- a/tests/org.eclipse.rap.rwt.cluster.testfixture.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.rwt.cluster.testfixture.test/META-INF/MANIFEST.MF
@@ -2,8 +2,8 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Cluster Testfixture tests
 Bundle-SymbolicName: org.eclipse.rap.rwt.cluster.testfixture.test
-Bundle-Version: 3.12.0.qualifier
-Fragment-Host: org.eclipse.rap.rwt.cluster.testfixture;bundle-version="[3.12.0,4.0.0)"
+Bundle-Version: 3.13.0.qualifier
+Fragment-Host: org.eclipse.rap.rwt.cluster.testfixture;bundle-version="[3.13.0,4.0.0)"
 Bundle-Vendor: Eclipse.org - RAP
 Require-Bundle: org.junit;bundle-version="4.8.2"
 Import-Package: org.junit.runner;version="4.8.2",
diff --git a/tests/org.eclipse.rap.rwt.cluster.testfixture.test/pom.xml b/tests/org.eclipse.rap.rwt.cluster.testfixture.test/pom.xml
index 083078a..ef0c638 100644
--- a/tests/org.eclipse.rap.rwt.cluster.testfixture.test/pom.xml
+++ b/tests/org.eclipse.rap.rwt.cluster.testfixture.test/pom.xml
@@ -17,13 +17,13 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.rwt.cluster.testfixture.test</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
   <build>
     <plugins>
diff --git a/tests/org.eclipse.rap.rwt.cluster.testfixture/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.rwt.cluster.testfixture/META-INF/MANIFEST.MF
index 5c5daa7..6de96c5 100644
--- a/tests/org.eclipse.rap.rwt.cluster.testfixture/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.rwt.cluster.testfixture/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Cluster Testfixture
 Bundle-SymbolicName: org.eclipse.rap.rwt.cluster.testfixture
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Vendor: Eclipse.org - RAP
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: javax.servlet;version="[3.1.0,5.0.0)",
@@ -34,19 +34,19 @@
  org.eclipse.jetty.util.component;version="[9.4.1,9.5.0)",
  org.eclipse.jetty.util.log;version="[9.4.1,9.5.0)",
  org.eclipse.jetty.util.resource;version="[9.4.1,9.5.0)",
- org.eclipse.rap.rwt.application;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.engine;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.internal.application;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.internal.lifecycle;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.internal.serverpush;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.internal.service;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.service;version="[3.12.0,4.0.0)",
+ org.eclipse.rap.rwt.application;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.engine;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.internal.application;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.internal.lifecycle;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.internal.serverpush;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.internal.service;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.service;version="[3.13.0,4.0.0)",
  org.eclipse.swt.dnd,
  org.eclipse.swt.widgets,
  org.h2;version="[1.1.0,2.0.0)",
  org.h2.tools;version="[1.1.0,2.0.0)"
-Export-Package: org.eclipse.rap.rwt.cluster.testfixture;version="3.12.0",
- org.eclipse.rap.rwt.cluster.testfixture.client;version="3.12.0",
- org.eclipse.rap.rwt.cluster.testfixture.internal.jetty;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.cluster.testfixture.internal.util;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.cluster.testfixture.server;version="3.12.0"
+Export-Package: org.eclipse.rap.rwt.cluster.testfixture;version="3.13.0",
+ org.eclipse.rap.rwt.cluster.testfixture.client;version="3.13.0",
+ org.eclipse.rap.rwt.cluster.testfixture.internal.jetty;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.cluster.testfixture.internal.util;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.cluster.testfixture.server;version="3.13.0"
diff --git a/tests/org.eclipse.rap.rwt.cluster.testfixture/pom.xml b/tests/org.eclipse.rap.rwt.cluster.testfixture/pom.xml
index cdc5d73..5a6abe0 100644
--- a/tests/org.eclipse.rap.rwt.cluster.testfixture/pom.xml
+++ b/tests/org.eclipse.rap.rwt.cluster.testfixture/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.rwt.cluster.testfixture</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/tests/org.eclipse.rap.rwt.jstest/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.rwt.jstest/META-INF/MANIFEST.MF
index 5364007..a55356e 100644
--- a/tests/org.eclipse.rap.rwt.jstest/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.rwt.jstest/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Javascript test suite
 Bundle-SymbolicName: org.eclipse.rap.rwt.jstest
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Export-Package: org.eclipse.rap.rwt.jstest,
  org.eclipse.rwt.test,
  org.eclipse.rwt.test.fixture,
@@ -10,7 +10,7 @@
  resource
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.eclipse.equinox.http.jetty;bundle-version="[2.0.0,4.0.0)",
- org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+ org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
 Import-Package: javax.servlet;version="[2.5.0,5.0.0)",
  javax.servlet.http;version="[2.5.0,5.0.0)",
  org.osgi.framework;version="1.6.0",
diff --git a/tests/org.eclipse.rap.rwt.osgi.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.rwt.osgi.test/META-INF/MANIFEST.MF
index 7623178..28b14ed 100644
--- a/tests/org.eclipse.rap.rwt.osgi.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.rwt.osgi.test/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Tests for RWT-OSGi Integration Bundle
 Bundle-SymbolicName: org.eclipse.rap.rwt.osgi.test
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-Vendor: Eclipse.org - RAP
-Fragment-Host: org.eclipse.rap.rwt.osgi;bundle-version="3.12.0"
+Fragment-Host: org.eclipse.rap.rwt.osgi;bundle-version="3.13.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.junit;bundle-version="4.8.2"
-Import-Package: org.eclipse.rap.rwt.testfixture.internal;version="[3.12.0,4.0.0)",
+Import-Package: org.eclipse.rap.rwt.testfixture.internal;version="[3.13.0,4.0.0)",
  org.mockito;version="[1.9.5,2.0.0)",
  org.mockito.invocation;version="[1.9.5,2.0.0)",
  org.mockito.stubbing;version="[1.9.5,2.0.0)",
diff --git a/tests/org.eclipse.rap.rwt.osgi.test/pom.xml b/tests/org.eclipse.rap.rwt.osgi.test/pom.xml
index fe48e2f..cbf898d 100644
--- a/tests/org.eclipse.rap.rwt.osgi.test/pom.xml
+++ b/tests/org.eclipse.rap.rwt.osgi.test/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.rwt.osgi.test</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/tests/org.eclipse.rap.rwt.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.rwt.test/META-INF/MANIFEST.MF
index 17f0777..64cbdb8 100644
--- a/tests/org.eclipse.rap.rwt.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.rwt.test/META-INF/MANIFEST.MF
@@ -3,18 +3,18 @@
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
 Bundle-SymbolicName: org.eclipse.rap.rwt.test
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-ClassPath: .
 Require-Bundle: org.junit;bundle-version="4.8.2",
- org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+ org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: javax.servlet;version="[2.6.0,5.0.0)",
  javax.servlet.http;version="[2.6.0,5.0.0)",
- org.eclipse.rap.rwt.testfixture;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal.engine;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal.service;version="[3.12.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal.engine;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal.service;version="[3.13.0,4.0.0)",
  org.mockito;version="[1.9.5,2.0.0)",
  org.mockito.invocation;version="[1.9.5,2.0.0)",
  org.mockito.stubbing;version="[1.9.5,2.0.0)",
diff --git a/tests/org.eclipse.rap.rwt.test/pom.xml b/tests/org.eclipse.rap.rwt.test/pom.xml
index 5db1437..35ad5d2 100644
--- a/tests/org.eclipse.rap.rwt.test/pom.xml
+++ b/tests/org.eclipse.rap.rwt.test/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.rwt.test</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/tests/org.eclipse.rap.rwt.testfixture/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.rwt.testfixture/META-INF/MANIFEST.MF
index c7c5211..1061cfb 100644
--- a/tests/org.eclipse.rap.rwt.testfixture/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.rwt.testfixture/META-INF/MANIFEST.MF
@@ -3,8 +3,8 @@
 Bundle-Name: %Bundle-Name
 Bundle-Vendor: %Bundle-Vendor
 Bundle-SymbolicName: org.eclipse.rap.rwt.testfixture
-Bundle-Version: 3.12.0.qualifier
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+Bundle-Version: 3.13.0.qualifier
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: javax.servlet;version="[3.1.0,5.0.0)",
@@ -13,8 +13,8 @@
  org.junit.rules;version="4.11.0",
  org.junit.runner;version="4.11.0",
  org.junit.runners.model;version="4.11.0"
-Export-Package: org.eclipse.rap.rwt.internal.application;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.testfixture;version="3.12.0",
- org.eclipse.rap.rwt.testfixture.internal;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.testfixture.internal.engine;version="3.12.0";x-internal:=true,
- org.eclipse.rap.rwt.testfixture.internal.service;version="3.12.0";x-internal:=true
+Export-Package: org.eclipse.rap.rwt.internal.application;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.testfixture;version="3.13.0",
+ org.eclipse.rap.rwt.testfixture.internal;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.testfixture.internal.engine;version="3.13.0";x-internal:=true,
+ org.eclipse.rap.rwt.testfixture.internal.service;version="3.13.0";x-internal:=true
diff --git a/tests/org.eclipse.rap.rwt.testfixture/pom.xml b/tests/org.eclipse.rap.rwt.testfixture/pom.xml
index df9716d..688792f 100644
--- a/tests/org.eclipse.rap.rwt.testfixture/pom.xml
+++ b/tests/org.eclipse.rap.rwt.testfixture/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.rwt.testfixture</artifactId>
   <packaging>eclipse-plugin</packaging>
-   <version>3.12.0-SNAPSHOT</version>
+   <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/tests/org.eclipse.rap.rwt.themes.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.rwt.themes.test/META-INF/MANIFEST.MF
index d2291fc..f72d247 100644
--- a/tests/org.eclipse.rap.rwt.themes.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.rwt.themes.test/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.rwt.themes.test
-Bundle-Version: 3.12.0.qualifier
+Bundle-Version: 3.13.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.eclipse.rap.design.example;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+Require-Bundle: org.eclipse.rap.design.example;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
 Bundle-Vendor: %Bundle-Vendor
 Bundle-Localization: plugin
 Export-Package: org.eclipse.rap.rwt.themes.test;x-internal:=true,
  org.eclipse.rap.rwt.themes.test.business;x-internal:=true
-Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal;version="3.12.0",
- org.eclipse.rap.rwt.testfixture.internal.engine;version="[3.12.0,4.0.0)",
+Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal;version="3.13.0",
+ org.eclipse.rap.rwt.testfixture.internal.engine;version="[3.13.0,4.0.0)",
  org.junit;version="4.8.2"
diff --git a/tests/org.eclipse.rap.rwt.themes.test/pom.xml b/tests/org.eclipse.rap.rwt.themes.test/pom.xml
index a1efa2c..35be0a8 100644
--- a/tests/org.eclipse.rap.rwt.themes.test/pom.xml
+++ b/tests/org.eclipse.rap.rwt.themes.test/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.rwt.themes.test</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>
diff --git a/tests/org.eclipse.rap.test.all/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.test.all/META-INF/MANIFEST.MF
index c3483f1..31fae10 100644
--- a/tests/org.eclipse.rap.test.all/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.test.all/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.test.all
-Bundle-Version: 3.12.0.qualifier
-Export-Package: org.eclipse.rap.test;version="3.12.0"
+Bundle-Version: 3.13.0.qualifier
+Export-Package: org.eclipse.rap.test;version="3.13.0"
 Bundle-Vendor: %Bundle-Vendor
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Localization: plugin
-Import-Package: org.eclipse.rap.rwt.testfixture.internal;version="[3.12.0,4.0.0)",
+Import-Package: org.eclipse.rap.rwt.testfixture.internal;version="[3.13.0,4.0.0)",
  org.junit;version="4.8.2",
  org.junit.runner;version="4.8.2",
  org.junit.runners;version="4.8.2"
-Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.12.0,4.0.0)"
+Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.13.0,4.0.0)"
diff --git a/tests/org.eclipse.rap.ui.forms.test/META-INF/MANIFEST.MF b/tests/org.eclipse.rap.ui.forms.test/META-INF/MANIFEST.MF
index 2634151..b4befe6 100644
--- a/tests/org.eclipse.rap.ui.forms.test/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.rap.ui.forms.test/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.rap.ui.forms.test
-Bundle-Version: 3.12.0.qualifier
-Fragment-Host: org.eclipse.rap.ui.forms;bundle-version="[3.12.0,4.0.0)"
+Bundle-Version: 3.13.0.qualifier
+Fragment-Host: org.eclipse.rap.ui.forms;bundle-version="[3.13.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: %Bundle-Vendor
 Require-Bundle: org.junit;bundle-version="4.8.2"
-Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.12.0,4.0.0)",
- org.eclipse.rap.rwt.testfixture.internal;version="[3.12.0,4.0.0)",
+Import-Package: org.eclipse.rap.rwt.testfixture;version="[3.13.0,4.0.0)",
+ org.eclipse.rap.rwt.testfixture.internal;version="[3.13.0,4.0.0)",
  org.mockito;version="[1.9.5,2.0.0)",
  org.mockito.invocation;version="[1.9.5,2.0.0)",
  org.mockito.stubbing;version="[1.9.5,2.0.0)",
diff --git a/tests/org.eclipse.rap.ui.forms.test/pom.xml b/tests/org.eclipse.rap.ui.forms.test/pom.xml
index 5dcac38..4fdd902 100644
--- a/tests/org.eclipse.rap.ui.forms.test/pom.xml
+++ b/tests/org.eclipse.rap.ui.forms.test/pom.xml
@@ -17,12 +17,12 @@
   <parent>
     <groupId>org.eclipse.rap</groupId>
     <artifactId>org.eclipse.rap.runtime-parent</artifactId>
-    <version>3.12.0-SNAPSHOT</version>
+    <version>3.13.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.rap.build/pom.xml</relativePath>
   </parent>
 
   <artifactId>org.eclipse.rap.ui.forms.test</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>3.12.0-SNAPSHOT</version>
+  <version>3.13.0-SNAPSHOT</version>
 
 </project>